GET Premier Season Active
https://pd.{shard}.a.pvp.net/premier/v1/affinities/{affinity}/premier-seasons/active Get the currently active Premier season for a given affinity/region.
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type PremierSeasonActiveResponse = {
/** UUID */
ID: string;
Name: string;
CompetitiveSeasonID: string;
PreviousPremierSeasonID: string;
NextPremierSeasonID: string;
IsActive: boolean;
/** ISO 8601 datetime */
StartTime: string;
/** ISO 8601 datetime */
EndTime: string;
Events: {
/** UUID */
ID: string;
Type: "LEAGUE" | "TOURNAMENT" | "SCRIM";
StartDateTime: string;
EndDateTime: string;
SchedulePerConference?: unknown | null;
MapSelectionStrategy: "RANDOM" | "PICKBAN";
MapPoolMapIDs: string[];
PointsRequiredToParticipate: number;
}[];
ScheduledEvents: unknown[];
Conferences: {
/** UUID */
id: string;
key: string;
isSuper: boolean;
gamePods: string[];
timezone: string;
superConference: string;
leaderboardPlayoffQualificationDateTime: string;
leaderboardPromotionFinalizationDateTime: string;
}[];
Divisions: {
Division: number;
DivisionName: string;
DivisionGroup: string;
EventPresetName: string;
}[];
DivisionThresholds: unknown[];
EventPresets: {
[x: string]: unknown;
};
FlawlessPointRequirement: number;
ChampionshipPointRequirement: number;
/** UUID */
ChampionshipEventID: string;
EnrollmentPhaseStartDateTime: string;
EnrollmentPhaseEndDateTime: string;
LeaderboardPlayoffQualificationDateTime: string;
LeaderboardPromotionFinalizationDateTime: string;
LeaderboardFinalizationDateTime: string;
ContenderEligibilityExpiryDateTime: string;
StageLockTime: string;
ParticipationRewardsActIDs: string[];
ParticipationRewards?: unknown;
TournamentWinnerRewards?: unknown;
DivisionWinnerRewards?: unknown;
}; {
"ID": "DfDD2aCe-b09c-f56e-5236-3c713725E8c3",
"Name": "Guillermo Moore",
"CompetitiveSeasonID": "commodo",
"PreviousPremierSeasonID": "abbas",
"NextPremierSeasonID": "incidunt",
"IsActive": true,
"StartTime": "defluo",
"EndTime": "summisse",
"Events": [
{
"ID": "AACb2b07-1cAB-5d5A-d274-e857DbC4F986",
"Type": "LEAGUE",
"StartDateTime": "delectus",
"EndDateTime": "benevolentia",
"MapSelectionStrategy": "PICKBAN",
"MapPoolMapIDs": [
"CBac3a8f-E0Bd-cFFC-AeAE-872dE6CA0ccA",
"bAa9A6E6-7De2-9b87-fc4A-cB62B2baBDF3",
"FDEcEB8E-ccC7-1039-F627-1ef12EAd449f",
"1D72b4Aa-5c33-93eA-ee5D-da1FB83bEe3d",
"31BcA577-aBea-141e-6Faa-efcD71E1cbbd"
],
"PointsRequiredToParticipate": 1008285202907102
}
],
"ScheduledEvents": [
null
],
"Conferences": [
{
"id": "D25b3482-e79D-0AAd-62de-9D10BCFEc48f",
"key": "ambulo",
"isSuper": true,
"gamePods": [
"cohaero",
"doloribus",
"deleniti",
"subseco",
"quibusdam"
],
"timezone": "adsuesco",
"superConference": "defessus",
"leaderboardPlayoffQualificationDateTime": "thesaurus",
"leaderboardPromotionFinalizationDateTime": "theatrum"
},
{
"id": "6A6ef01f-a5Da-E88c-8bc0-BCE635D3c951",
"key": "utroque",
"isSuper": false,
"gamePods": [
"cupiditate",
"tristis",
"defero",
"eaque",
"trucido"
],
"timezone": "corroboro",
"superConference": "verumtamen",
"leaderboardPlayoffQualificationDateTime": "barba",
"leaderboardPromotionFinalizationDateTime": "nisi"
},
{
"id": "8E6F00Ac-D56A-Af66-6cA7-815503eFAA8f",
"key": "perspiciatis",
"isSuper": false,
"gamePods": [
"auctor",
"celer",
"doloremque",
"ater",
"utilis"
],
"timezone": "deludo",
"superConference": "ante",
"leaderboardPlayoffQualificationDateTime": "claustrum",
"leaderboardPromotionFinalizationDateTime": "celer"
},
{
"id": "dCb882eD-A9c6-5F8D-81ec-1D0015dEeeac",
"key": "veniam",
"isSuper": true,
"gamePods": [
"sodalitas",
"caries"
],
"timezone": "explicabo",
"superConference": "suppellex",
"leaderboardPlayoffQualificationDateTime": "patior",
"leaderboardPromotionFinalizationDateTime": "occaecati"
},
{
"id": "Fe9bEe7B-FcCE-6A3B-6AFe-97594d22D1BB",
"key": "corrumpo",
"isSuper": false,
"gamePods": [
"vesica",
"suadeo",
"colligo"
],
"timezone": "aureus",
"superConference": "articulus",
"leaderboardPlayoffQualificationDateTime": "averto",
"leaderboardPromotionFinalizationDateTime": "admoneo"
}
],
"Divisions": [
{
"Division": 220571239142323,
"DivisionName": "timidus",
"DivisionGroup": "cenaculum",
"EventPresetName": "curis"
},
{
"Division": 2325649148582272,
"DivisionName": "bibo",
"DivisionGroup": "communis",
"EventPresetName": "comptus"
}
],
"DivisionThresholds": [
null
],
"EventPresets": {},
"FlawlessPointRequirement": 3176250656717783,
"ChampionshipPointRequirement": 4176584517302296,
"ChampionshipEventID": "34DCe3E3-2ba5-bf7F-b29d-ABBb0407c1Bc",
"EnrollmentPhaseStartDateTime": "enim",
"EnrollmentPhaseEndDateTime": "alias",
"LeaderboardPlayoffQualificationDateTime": "minus",
"LeaderboardPromotionFinalizationDateTime": "ea",
"LeaderboardFinalizationDateTime": "tredecim",
"ContenderEligibilityExpiryDateTime": "minus",
"StageLockTime": "quo",
"ParticipationRewardsActIDs": [
"98E5E2BE-ED33-04Bc-d5c4-191dFbB9CfBD",
"C8a05D04-b8B7-9FEC-6be5-aE51BEDb325D",
"EAB90Bf3-Bd9B-0B92-F995-4A686CA6ebA2",
"4464e19D-F08B-B378-fA90-33eda4e9C7fa"
]
}